# json-c: debug.h File Reference

debug.h File Reference

Do not use, json-c internal, may be changed or removed at any time. More...

## Macros

#define | __STRING(x) #x
#define | JASSERT(cond) do {} while(0)
#define | MC_ERROR(x, ...) mc_error(x, ##__VA_ARGS__)
#define | MC_SET_DEBUG(x) if (0) mc_set_debug(x)
#define | MC_GET_DEBUG() (0)
#define | MC_SET_SYSLOG(x) if (0) mc_set_syslog(x)
#define | MC_DEBUG(x, ...) if (0) mc_debug(x, ##__VA_ARGS__)
#define | MC_INFO(x, ...) if (0) mc_info(x, ##__VA_ARGS__)

## Functions

void | mc_set_debug (int debug)
int | mc_get_debug (void)
void | mc_set_syslog (int syslog)
void | mc_debug (const char *msg,...)
void | mc_error (const char *msg,...)
void | mc_info (const char *msg,...)

## Detailed Description

Do not use, json-c internal, may be changed or removed at any time.

## Macro Definition Documentation

## __STRING

#define __STRING | ( |  | x | ) | #x

## JASSERT

#define JASSERT | ( |  | cond | ) | do {} while(0)

## MC_DEBUG

#define MC_DEBUG | ( |  | x,
|  |  | ...
| ) |  | if (0) mc_debug(x, ##__VA_ARGS__)

## MC_ERROR

#define MC_ERROR | ( |  | x,
|  |  | ...
| ) |  | mc_error(x, ##__VA_ARGS__)

## MC_GET_DEBUG

#define MC_GET_DEBUG | ( |  | ) | (0)

## MC_INFO

#define MC_INFO | ( |  | x,
|  |  | ...
| ) |  | if (0) mc_info(x, ##__VA_ARGS__)

## MC_SET_DEBUG

#define MC_SET_DEBUG | ( |  | x | ) | if (0) mc_set_debug(x)

## MC_SET_SYSLOG

#define MC_SET_SYSLOG | ( |  | x | ) | if (0) mc_set_syslog(x)

## Function Documentation

## mc_debug()

void mc_debug | ( | const char * | msg,
|  |  | ...
| ) |  |

## mc_error()

void mc_error | ( | const char * | msg,
|  |  | ...
| ) |  |

## mc_get_debug()

int mc_get_debug | ( | void |  | ) |

## mc_info()

void mc_info | ( | const char * | msg,
|  |  | ...
| ) |  |

## mc_set_debug()

void mc_set_debug | ( | int | debug | ) |

## mc_set_syslog()

void mc_set_syslog | ( | int | syslog | ) |